"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _ui = require("@redux-devtools/ui");
var _ExportButton = _interopRequireDefault(require("./buttons/ExportButton"));
var _ImportButton = _interopRequireDefault(require("./buttons/ImportButton"));
var _PrintButton = _interopRequireDefault(require("./buttons/PrintButton"));
var _DispatcherButton = _interopRequireDefault(require("./buttons/DispatcherButton"));
var _SliderButton = _interopRequireDefault(require("./buttons/SliderButton"));
var _MonitorSelector = _interopRequireDefault(require("./MonitorSelector"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
class BottomButtons extends _react.Component {
  shouldComponentUpdate(nextProps) {
    return nextProps.dispatcherIsOpen !== this.props.dispatcherIsOpen || nextProps.sliderIsOpen !== this.props.sliderIsOpen || nextProps.options !== this.props.options;
  }
  render() {
    const features = this.props.options.features;
    return /*#__PURE__*/_react.default.createElement(_ui.Toolbar, {
      borderPosition: "top"
    }, features.export && /*#__PURE__*/_react.default.createElement(_ExportButton.default, null), features.import && /*#__PURE__*/_react.default.createElement(_ImportButton.default, null), /*#__PURE__*/_react.default.createElement(_PrintButton.default, null), /*#__PURE__*/_react.default.createElement(_ui.Divider, null), /*#__PURE__*/_react.default.createElement(_MonitorSelector.default, null), /*#__PURE__*/_react.default.createElement(_ui.Divider, null), features.jump && /*#__PURE__*/_react.default.createElement(_SliderButton.default, {
      isOpen: this.props.sliderIsOpen
    }), features.dispatch && /*#__PURE__*/_react.default.createElement(_DispatcherButton.default, {
      dispatcherIsOpen: this.props.dispatcherIsOpen
    }));
  }
}
exports.default = BottomButtons;