"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _ui = require("@redux-devtools/ui");
var _reactRedux = require("react-redux");
var _go = require("react-icons/go");
var _io = require("react-icons/io");
var _ti = require("react-icons/ti");
var _actions = require("../actions");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const tabs = [{
  name: 'Actions'
}, {
  name: 'Settings'
}];
class Header extends _react.Component {
  openLink = url => () => {
    window.open(url);
  };
  render() {
    return /*#__PURE__*/_react.default.createElement(_ui.Toolbar, {
      compact: true,
      noBorder: true,
      borderPosition: "bottom"
    }, /*#__PURE__*/_react.default.createElement(_ui.Tabs, {
      main: true,
      collapsible: true,
      tabs: tabs,
      onClick: this.props.changeSection,
      selected: this.props.section || 'Actions'
    }), /*#__PURE__*/_react.default.createElement(_ui.Divider, null), /*#__PURE__*/_react.default.createElement(_ui.Button, {
      title: "Documentation",
      tooltipPosition: "bottom",
      onClick: this.openLink('https://github.com/reduxjs/redux-devtools/blob/main/README.md')
    }, /*#__PURE__*/_react.default.createElement(_go.GoBook, null)), /*#__PURE__*/_react.default.createElement(_ui.Button, {
      title: "Feedback",
      tooltipPosition: "bottom",
      onClick: this.openLink('https://github.com/reduxjs/redux-devtools/discussions')
    }, /*#__PURE__*/_react.default.createElement(_io.IoMdText, null)), /*#__PURE__*/_react.default.createElement(_ui.Button, {
      title: "Follow us",
      tooltipPosition: "bottom",
      onClick: this.openLink('https://twitter.com/NathanBierema')
    }, /*#__PURE__*/_react.default.createElement(_ti.TiSocialTwitter, null)), /*#__PURE__*/_react.default.createElement(_ui.Button, {
      title: "Support us",
      tooltipPosition: "bottom-left",
      onClick: this.openLink('https://opencollective.com/redux-devtools-extension')
    }, /*#__PURE__*/_react.default.createElement(_ti.TiHeartFullOutline, null)));
  }
}
const actionCreators = {
  changeSection: _actions.changeSection
};
var _default = exports.default = (0, _reactRedux.connect)(null, actionCreators)(Header);