"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactRedux = require("react-redux");
var _ui = require("@redux-devtools/ui");
var _ti = require("react-icons/ti");
var _actions = require("../../actions");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
class ImportButton extends _react.Component {
  shouldComponentUpdate() {
    return false;
  }
  mapRef = node => {
    this.fileInput = node;
  };
  handleImport = () => {
    this.fileInput.click();
  };
  handleImportFile = e => {
    const file = e.target.files[0];
    const reader = new FileReader();
    reader.onload = () => {
      this.props.importState(reader.result);
    };
    reader.readAsText(file);
    e.target.value = '';
  };
  render() {
    return /*#__PURE__*/_react.default.createElement(_ui.Button, {
      title: "Import from a file",
      onClick: this.handleImport
    }, /*#__PURE__*/_react.default.createElement(_ti.TiUpload, null), /*#__PURE__*/_react.default.createElement("input", {
      type: "file",
      ref: this.mapRef,
      style: {
        display: 'none'
      },
      onChange: this.handleImportFile
    }));
  }
}
const actionCreators = {
  importState: _actions.importState
};
var _default = exports.default = (0, _reactRedux.connect)(null, actionCreators)(ImportButton);