"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactRedux = require("react-redux");
var _ui = require("@redux-devtools/ui");
var _ti = require("react-icons/ti");
var _actions = require("../../actions");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
class SyncButton extends _react.Component {
  shouldComponentUpdate(nextProps) {
    return nextProps.sync !== this.props.sync;
  }
  render() {
    return /*#__PURE__*/_react.default.createElement(_ui.Button, {
      title: "Sync actions",
      tooltipPosition: "bottom-left",
      onClick: this.props.onClick,
      mark: this.props.sync && 'base0B'
    }, /*#__PURE__*/_react.default.createElement(_ti.TiArrowSync, null));
  }
}
const mapStateToProps = state => ({
  sync: state.instances.sync
});
const actionCreators = {
  onClick: _actions.toggleSync
};
var _default = exports.default = (0, _reactRedux.connect)(mapStateToProps, actionCreators)(SyncButton);