"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.coreReducers = void 0;
var _section = require("./section");
var _monitor = require("./monitor");
var _notification = require("./notification");
var _instances = require("./instances");
var _reports = require("./reports");
var _theme = require("./theme");
var _stateTreeSettings = require("./stateTreeSettings");
const coreReducers = exports.coreReducers = {
  section: _section.section,
  theme: _theme.theme,
  stateTreeSettings: _stateTreeSettings.stateTreeSettings,
  monitor: _monitor.monitor,
  instances: _instances.instances,
  reports: _reports.reports,
  notification: _notification.notification
};