import React, { Component } from 'react';
import { ResolveThunks } from 'react-redux';
import { selectMonitor } from '../actions';
import { CoreStoreState } from '../reducers';
type StateProps = ReturnType<typeof mapStateToProps>;
type DispatchProps = ResolveThunks<typeof actionCreators>;
type Props = StateProps & DispatchProps;
declare class MonitorSelector extends Component<Props> {
    shouldComponentUpdate(nextProps: Props): boolean;
    render(): React.JSX.Element;
}
declare const mapStateToProps: (state: CoreStoreState) => {
    selected: string;
};
declare const actionCreators: {
    selectMonitor: typeof selectMonitor;
};
declare const _default: import("react-redux").ConnectedComponent<typeof MonitorSelector, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<MonitorSelector> | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
