import React, { Component } from 'react';
import { CoreStoreAction } from '../../actions';
import { Dispatch } from 'redux';
type DispatchProps = ReturnType<typeof mapDispatchToProps>;
interface OwnProps {
    locked: boolean | undefined;
    disabled: boolean;
}
type Props = DispatchProps & OwnProps;
declare class LockButton extends Component<Props> {
    shouldComponentUpdate(nextProps: Props): boolean;
    render(): React.JSX.Element;
}
declare function mapDispatchToProps(dispatch: Dispatch<CoreStoreAction>, ownProps: OwnProps): {
    lockChanges: () => import("../../actions").LiftedActionDispatchAction;
};
declare const _default: import("react-redux").ConnectedComponent<typeof LockButton, {
    key?: React.Key | null | undefined;
    disabled: boolean;
    ref?: React.LegacyRef<LockButton> | undefined;
    locked: boolean | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
