import React, { Component } from 'react';
import { ResolveThunks } from 'react-redux';
import { clearNotification } from '../actions';
import { CoreStoreState } from '../reducers';
type StateProps = ReturnType<typeof mapStateToProps>;
type DispatchProps = ResolveThunks<typeof actionCreators>;
type OwnProps = {
    extraSettingsTabs?: {
        name: string;
        component: React.ComponentType;
    }[];
};
type Props = StateProps & DispatchProps & OwnProps;
declare class App extends Component<Props> {
    render(): React.JSX.Element;
}
declare const mapStateToProps: (state: CoreStoreState) => {
    section: string;
    theme: import("..").ThemeState;
    notification: import("..").NotificationState;
};
declare const actionCreators: {
    clearNotification: typeof clearNotification;
};
declare const _default: import("react-redux").ConnectedComponent<typeof App, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<App> | undefined;
    extraSettingsTabs?: {
        name: string;
        component: React.ComponentType<{}>;
    }[] | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
