import { State } from '../reducers/instances';
import { Action } from 'redux';
import { PerformAction } from '@redux-devtools/core';
export declare function recompute(previousLiftedState: State, storeState: State, action: PerformAction<Action<string>> | {
    action: Action<string>;
    timestamp?: number;
    stack?: string;
}, nextActionId?: number, maxAge?: number, isExcess?: boolean): {
    actionsById: {
        [actionId: number]: PerformAction<Action<string>>;
    };
    computedStates: {
        state: unknown;
        error?: string | undefined;
    }[];
    currentStateIndex: number;
    nextActionId: number;
    skippedActionIds: number[];
    stagedActionIds: number[];
    committedState?: unknown;
    isLocked?: boolean | undefined;
    isPaused?: boolean | undefined;
};
