"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactRedux = require("react-redux");
var _ui = require("@redux-devtools/ui");
var _actions = require("../actions");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
class InstanceSelector extends _react.Component {
  render() {
    this.select = [{
      value: '',
      label: 'Autoselect instances'
    }];
    const instances = this.props.instances;
    let name;
    Object.keys(instances).forEach(key => {
      name = instances[key].name;
      if (name !== undefined) this.select.push({
        value: key,
        label: name
      });
    });
    return /*#__PURE__*/_react.default.createElement(_ui.Select, {
      options: this.select,
      onChange: option => this.props.onSelect(option.value),
      value: this.select.find(option => option.value === this.props.selected)
    });
  }
}
const mapStateToProps = state => ({
  selected: state.instances.selected,
  instances: state.instances.options
});
const actionCreators = {
  onSelect: _actions.selectInstance
};
var _default = exports.default = (0, _reactRedux.connect)(mapStateToProps, actionCreators)(InstanceSelector);