"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactRedux = require("react-redux");
var _ui = require("@redux-devtools/ui");
var _getMonitor = require("../utils/getMonitor");
var _actions = require("../actions");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
class MonitorSelector extends _react.Component {
  shouldComponentUpdate(nextProps) {
    return nextProps.selected !== this.props.selected;
  }
  render() {
    return /*#__PURE__*/_react.default.createElement(_ui.Tabs, {
      main: true,
      collapsible: true,
      position: "center",
      tabs: _getMonitor.monitors,
      onClick: this.props.selectMonitor,
      selected: this.props.selected || 'InspectorMonitor'
    });
  }
}
const mapStateToProps = state => ({
  selected: state.monitor.selected
});
const actionCreators = {
  selectMonitor: _actions.selectMonitor
};
var _default = exports.default = (0, _reactRedux.connect)(mapStateToProps, actionCreators)(MonitorSelector);