"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _ui = require("@redux-devtools/ui");
var _Themes = _interopRequireDefault(require("./Themes"));
var _StateTree = _interopRequireDefault(require("./StateTree"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
// eslint-disable-next-line @typescript-eslint/ban-types
class Settings extends _react.Component {
  state = {
    selected: undefined
  };
  handleSelect = selected => {
    this.setState({
      selected
    });
  };
  render() {
    const {
      extraTabs = []
    } = this.props;
    const tabs = [...extraTabs, {
      name: 'Themes',
      component: _Themes.default
    }, {
      name: 'State Tree',
      component: _StateTree.default
    }];
    return (
      /*#__PURE__*/
      // eslint-disable-next-line @typescript-eslint/ban-types
      _react.default.createElement(_ui.Tabs, {
        tabs: tabs,
        selected: this.state.selected || tabs[0].name,
        onClick: this.handleSelect
      })
    );
  }
}
exports.default = Settings;