import React, { Component } from 'react';
import { LiftedAction } from '@redux-devtools/core';
import { Action } from 'redux';
import { Options, State } from '../reducers/instances';
interface Props {
    dispatch: (action: LiftedAction<unknown, Action<string>, unknown>) => void;
    liftedState: State;
    options: Options;
}
export default class TopButtons extends Component<Props> {
    shouldComponentUpdate(nextProps: Props): boolean;
    handleRollback: () => void;
    handleSweep: () => void;
    handleCommit: () => void;
    handleReset: () => void;
    render(): React.JSX.Element;
}
export {};
