import React, { Component } from 'react';
import { LiftedAction } from '@redux-devtools/core';
import { Action } from 'redux';
import { ThemeFromProvider } from '@redux-devtools/ui';
import { State } from '../../reducers/instances';
interface Props {
    liftedState: State;
    dispatch: (action: LiftedAction<unknown, Action<string>, unknown>) => void;
    theme: ThemeFromProvider;
}
declare class Slider extends Component<Props> {
    shouldComponentUpdate(nextProps: Props): boolean;
    render(): React.JSX.Element;
}
declare const _default: React.ForwardRefExoticComponent<{
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<Slider> | undefined;
    dispatch: (action: LiftedAction<unknown, Action<string>, unknown>) => void;
    liftedState: State;
} & {
    theme?: any;
}>;
export default _default;
