import { MonitorActionAction, CoreStoreAction } from '../actions';
export interface MonitorStateMonitorState {
    inspectedStatePath?: string[];
    tabName?: string;
    subTabName?: string;
    selectedActionId?: number | null;
    startActionId?: number | null;
    inspectedActionPath?: string[];
    __overwritten__?: string;
}
export interface MonitorState {
    selected: string;
    monitorState?: MonitorStateMonitorState | undefined;
    sliderIsOpen: boolean;
    dispatcherIsOpen: boolean;
}
export declare function dispatchMonitorAction(state: MonitorState, action: MonitorActionAction): MonitorState;
export declare function monitor(state: MonitorState | undefined, action: CoreStoreAction): MonitorState;
